<?php

namespace Marketup\PriceHistoryForWoocommerce;

class Migrations {
    public static function run_db_delta() {
        global $wpdb;

        $table_name = "{$wpdb->prefix}marketup_price_history";
        $sql = "CREATE TABLE $table_name (
               id bigint(20) unsigned NOT NULL AUTO_INCREMENT,
               product_id bigint(20) unsigned NOT NULL,
               regular_price decimal(10,4),
               sale_price decimal(10,4),
               currency text,
               inserted_at timestamp DEFAULT CURRENT_TIMESTAMP,
               PRIMARY KEY  (id),
               INDEX idx_product_id (product_id)
               )
               COLLATE {$wpdb->collate};";

        require_once ABSPATH.'wp-admin/includes/upgrade.php';
        dbDelta($sql);
    }
}
